Tou·te·s les commentateur·rice·s retrouveront l’information de prise en compte de leurs commentaires dans la version 5.1.0 de WordPress

Photo de Sam Roach sur Unsplash

Le 1er mai 2018, je vous faisais part de mon inquiétude vis à vis de la version mineure 4.9.6 de WordPress. Elle s’est finalement confirmée puisque cette version a introduit ce qui selon moi était une régression dans l’expérience des utilisateur·rice·s qui décidaient de ne pas autoriser l’utilisation de cookies pour garder une trace de leurs données personnelles.

Pour résumer l’anomalie : lorsqu’un commentaire était posté sur votre site par un·e utilisateur·rice n’ayant pas activé la case à cocher autorisant cet usage de cookies, il·elle ne disposait d’aucune information quant à la prise en compte de son commentaire.

Moi qui suis très attaché à cette fonctionnalité de WordPress (les commentaires), j’avais alerté l’équipe de développement et proposé un correctif. Pour mémoire, la 4.9.6, c’était la version de WordPress dédiée à la mise en place des premiers mécanismes de mise en conformité par rapport au règlement général de protection des données. Aussi lorsque j’ai compris que la correction de cette anomalie serait remise à plus tard, j’ai transformé le correctif en extension « rustine » puis je l’ai partagée sur GitHub.com.

L’anomalie est corrigée !

Aujourd’hui je suis très heureux de vous annoncer que vous n’aurez plus besoin de cette extension « rustine » dés que vous aurez mis à jour WordPress pour sa version 5.1.0, version dont la sortie est planifiée pour les tous prochains jours (vers le 21/02).

En effet comme le montre la capture d’écran du « commit » de Gary ci-dessus et la capture d’écran ci-dessous, l’expérience d’utilisation est désormais identique pour tou·te·s les commentateur·rice·s : un message les informe bien que leur commentaire est en attente de modération.

Un exemple de commentaire en attente de modération retrouvé dans la version 5.1.0.

Aussi, si vous utilisez toujours cette extension, je vous recommande de vérifier que vous l’avez bien mis à jour pour sa version 1.1.0. La particularité de cette version est de neutraliser l’action de l’extension si toutefois la version de WordPress est supérieure ou égale à la version 5.1.0. Une fois que vous aurez mis à jour WordPress, vous pourrez sereinement désactiver puis supprimer cette extension.

Laisser un commentaire

Restez informé·e des évolutions de la discussion en vous abonnant à son flux : Flux RSS des commentaires

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.